Name:           ocaml-extunix
Version:        0.0.3
Release:        %mkrel 3
Summary:        Extended functions for OCaml Unix module
License:        LGPL with static compilation exception
Group:          Development/Other
URL:            http://forge.ocamlcore.org/projects/extunix/
Source0:        http://forge.ocamlcore.org/frs/download.php/646/ocaml-extunix-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit-devel
BuildRequires:  camlp4

%description
Thin bindings to various low-level system APIs (often non-portable)
which are not covered by Unix module.

Example functions: uname, statvfs, fsync, fadvise, fallocate, atfile,
 dirfd, eventfd, signalfd, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure
ocaml setup.ml -build
#ocaml setup.ml -doc
ocamlbuild src/api.docdir/index.html -tag debug

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/ocaml/stublibs
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
ocaml setup.ml -install

%files
%doc README.txt CHANGES.txt TODO
%dir %{_libdir}/ocaml/extunix
%{_libdir}/ocaml/extunix/META
%{_libdir}/ocaml/extunix/*.cma
%{_libdir}/ocaml/extunix/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api.docdir/
%{_libdir}/ocaml/extunix/*.a
%{_libdir}/ocaml/extunix/*.cmxa
%{_libdir}/ocaml/extunix/*.cmx
%{_libdir}/ocaml/extunix/*.ml


%changelog

* Fri Apr 20 2012 blue_prawn <blue_prawn> 0.0.3-3.mga2
+ Revision: 232021
+ rebuild (emptylog)

* Thu Apr 19 2012 blue_prawn <blue_prawn> 0.0.3-2.mga2
+ Revision: 231886
- need the -devel part of ocaml-ounit
- fixed description, and build-requires
- imported package ocaml-extunix

